Create a purchase order
https://api.propexo.com/v1/purchase-orders/Create a purchase order for an integration.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [anyOf
- object
- object
- ]
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string
AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT - string
- string
AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT - string
The Propexo unique identifier for the vendor
The Propexo unique identifier for the vendor location
The Propexo unique identifier for the property
The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.
The post date for the purchase order
Show 2 variants
Description of the purchase order
The cost of shipping, in cents, of the purchase order
The discount, in cents, of the purchase order
purchase_order_items object[]
A list of the items associated with the purchase orders
Possible values: >= 1
A purchase order item that is associated with a construction job
The Propexo unique identifier for the property
Description of the purchase order item
The Propexo unique identifier for the construction job
The Propexo unique identifier for the financial account
The stock code for the purchase order item. You'll have to request this data from your customer
The quantity ordered for the purchase order item
The unit price, in cents, of the purchase order item
The total cost, in cents, of the purchase order item
The cost code of the purchase order item. You'll have to request this data from your customer
The category code for the purchase order item. You'll have to request this data from your customer
The Propexo unique identifier for the location
The Propexo unique identifier for the employee. Recorded as the requesting user on the purchase order
The number of the purchase order
Possible values: <= 8 characters
The order date for the purchase order
Show 2 variants
The amount of the purchase order, in cents
The first address line associated with the shipping address for the purchase order
The first address line associated with the billing address for the purchase order
The expense type of the purchase order. You'll have to request this data from your customer
The display type of the purchase order. You'll have to request this data from your customer
The second address line associated with the shipping address for the purchase order
The city associated with the shipping address for the purchase order
The state associated with the shipping address for the purchase order. This must be a state abbreviation
Show 2 variants
The zip code associated with the shipping address for the purchase order
The country associated with the shipping address for the purchase order
The second address line associated with the billing address for the purchase order
The city associated with the billing address for the purchase order
The state associated with the billing address for the purchase order. This must be a state abbreviation
Show 2 variants
The zip code associated with the billing address for the purchase order
The country associated with the billing address for the purchase order
Response
Successful response
The ID of the job created to handle this operation
data objectrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/purchase-orders/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
{
"job_id": "string",
"data": {}
}